import { exists, isDateValid } from '../misc.js';
import { isActivityPubUrlValid } from './misc.js';
import { isRemoteVideoUrlValid } from './videos.js';
function isCacheFileObjectValid(object) {
    return exists(object) &&
        object.type === 'CacheFile' &&
        (object.expires === null || isDateValid(object.expires)) &&
        isActivityPubUrlValid(object.object) &&
        (isRemoteVideoUrlValid(object.url) || isPlaylistRedundancyUrlValid(object.url));
}
export { isCacheFileObjectValid };
function isPlaylistRedundancyUrlValid(url) {
    return url.type === 'Link' &&
        (url.mediaType || url.mimeType) === 'application/x-mpegURL' &&
        isActivityPubUrlValid(url.href);
}
//# sourceMappingURL=cache-file.js.map