import { ACTIVITY_PUB } from '../../../../initializers/constants.js';
import { VideoPlaylistPrivacy } from '@peertube/peertube-models';
function playlistObjectToDBAttributes(playlistObject, to) {
    const privacy = to.includes(ACTIVITY_PUB.PUBLIC)
        ? VideoPlaylistPrivacy.PUBLIC
        : VideoPlaylistPrivacy.UNLISTED;
    return {
        name: playlistObject.name,
        description: playlistObject.content,
        privacy,
        url: playlistObject.id,
        uuid: playlistObject.uuid,
        ownerAccountId: null,
        videoChannelId: null,
        createdAt: new Date(playlistObject.published),
        updatedAt: new Date(playlistObject.updated)
    };
}
function playlistElementObjectToDBAttributes(elementObject, videoPlaylist, video) {
    return {
        position: elementObject.position,
        url: elementObject.id,
        startTimestamp: elementObject.startTimestamp || null,
        stopTimestamp: elementObject.stopTimestamp || null,
        videoPlaylistId: videoPlaylist.id,
        videoId: video.id
    };
}
export { playlistObjectToDBAttributes, playlistElementObjectToDBAttributes };
//# sourceMappingURL=object-to-model-attributes.js.map