import { VideoViewsManager } from '../../views/video-views-manager.js';
import { forwardVideoRelatedActivity } from '../send/shared/send-utils.js';
import { getOrCreateAPVideo } from '../videos/index.js';
async function processViewActivity(options) {
    const { activity, byActor } = options;
    return processCreateView(activity, byActor);
}
export { processViewActivity };
async function processCreateView(activity, byActor) {
    const videoObject = activity.object;
    const { video } = await getOrCreateAPVideo({
        videoObject,
        fetchType: 'only-video',
        allowRefresh: false
    });
    const viewerExpires = activity.expires
        ? new Date(activity.expires)
        : undefined;
    await VideoViewsManager.Instance.processRemoteView({ video, viewerId: activity.id, viewerExpires });
    if (video.isOwned()) {
        const exceptions = [byActor];
        await forwardVideoRelatedActivity(activity, undefined, exceptions, video);
    }
}
//# sourceMappingURL=process-view.js.map