import { VideoModel } from '../../models/video/video.js';
function loadVideo(id, fetchType, userId) {
    if (fetchType === 'for-api')
        return VideoModel.loadForGetAPI({ id, userId });
    if (fetchType === 'all')
        return VideoModel.loadFull(id, undefined, userId);
    if (fetchType === 'only-immutable-attributes')
        return VideoModel.loadImmutableAttributes(id);
    if (fetchType === 'only-video')
        return VideoModel.load(id);
    if (fetchType === 'id' || fetchType === 'none')
        return VideoModel.loadOnlyId(id);
}
function loadVideoByUrl(url, fetchType) {
    if (fetchType === 'all')
        return VideoModel.loadByUrlAndPopulateAccount(url);
    if (fetchType === 'only-immutable-attributes')
        return VideoModel.loadByUrlImmutableAttributes(url);
    if (fetchType === 'only-video')
        return VideoModel.loadByUrl(url);
}
export { loadVideo, loadVideoByUrl };
//# sourceMappingURL=video.js.map