import { buildLogger } from '../helpers/logger.js';
import { getResumableUploadPath } from '../helpers/upload.js';
import { CONFIG } from '../initializers/config.js';
import { Uploadx } from '@uploadx/core';
import { extname } from 'path';
const logger = buildLogger('uploadx');
const uploadx = new Uploadx({
    directory: getResumableUploadPath(),
    expiration: { maxAge: undefined, rolling: true },
    maxMetadataSize: '10MB',
    logger: {
        logLevel: CONFIG.LOG.LEVEL,
        debug: logger.debug.bind(logger),
        info: logger.info.bind(logger),
        warn: logger.warn.bind(logger),
        error: logger.error.bind(logger)
    },
    userIdentifier: (_, res) => {
        if (!res.locals.oauth)
            return undefined;
        return res.locals.oauth.token.user.id + '';
    },
    filename: file => `${file.userId}-${file.id}${extname(file.metadata.filename)}`
});
export { uploadx };
//# sourceMappingURL=uploadx.js.map