import { VideoPlaylistPrivacy, VideoPlaylistType } from '@peertube/peertube-models';
import { VideoPlaylistModel } from '../models/video/video-playlist.js';
import { getLocalVideoPlaylistActivityPubUrl } from './activitypub/url.js';
async function createWatchLaterPlaylist(account, t) {
    const videoPlaylist = new VideoPlaylistModel({
        name: 'Watch later',
        privacy: VideoPlaylistPrivacy.PRIVATE,
        type: VideoPlaylistType.WATCH_LATER,
        ownerAccountId: account.id
    });
    videoPlaylist.url = getLocalVideoPlaylistActivityPubUrl(videoPlaylist);
    await videoPlaylist.save({ transaction: t });
    videoPlaylist.OwnerAccount = account;
    return videoPlaylist;
}
export { createWatchLaterPlaylist };
//# sourceMappingURL=video-playlist.js.map