import Bluebird from 'bluebird';
import { retryTransactionWrapper } from '../helpers/database-utils.js';
function asyncMiddleware(fun) {
    return (req, res, next) => {
        if (Array.isArray(fun) === true) {
            return Bluebird.each(fun, f => {
                return new Promise((resolve, reject) => {
                    return asyncMiddleware(f)(req, res, err => {
                        if (err)
                            return reject(err);
                        return resolve();
                    });
                });
            }).then(() => next())
                .catch(err => next(err));
        }
        return Promise.resolve(fun(req, res, next))
            .catch(err => next(err));
    };
}
function asyncRetryTransactionMiddleware(fun) {
    return (req, res, next) => {
        return Promise.resolve(retryTransactionWrapper(fun, req, res, next)).catch(err => next(err));
    };
}
export { asyncMiddleware, asyncRetryTransactionMiddleware };
//# sourceMappingURL=async.js.map