import { logger } from '../../../../helpers/logger.js';
import { getVideoStreamDuration } from '@peertube/peertube-ffmpeg';
import { HttpStatusCode } from '@peertube/peertube-models';
export async function addDurationToVideoFileIfNeeded(options) {
    const { res, middlewareName, videoFile } = options;
    try {
        if (!videoFile.duration)
            await addDurationToVideo(videoFile);
    }
    catch (err) {
        logger.error('Invalid input file in ' + middlewareName, { err });
        res.fail({
            status: HttpStatusCode.UNPROCESSABLE_ENTITY_422,
            message: 'Video file unreadable.'
        });
        return false;
    }
    return true;
}
async function addDurationToVideo(videoFile) {
    const duration = await getVideoStreamDuration(videoFile.path);
    if (isNaN(duration))
        videoFile.duration = 0;
    else
        videoFile.duration = duration;
}
//# sourceMappingURL=upload.js.map