var VideoSourceModel_1;
import { __decorate, __metadata } from "tslib";
import { AllowNull, BelongsTo, Column, CreatedAt, ForeignKey, Model, Table, UpdatedAt } from 'sequelize-typescript';
import { getSort } from '../shared/index.js';
import { VideoModel } from './video.js';
let VideoSourceModel = VideoSourceModel_1 = class VideoSourceModel extends Model {
    static loadLatest(videoId, transaction) {
        return VideoSourceModel_1.findOne({
            where: { videoId },
            order: getSort('-createdAt'),
            transaction
        });
    }
    toFormattedJSON() {
        return {
            filename: this.filename,
            createdAt: this.createdAt.toISOString()
        };
    }
};
__decorate([
    CreatedAt,
    __metadata("design:type", Date)
], VideoSourceModel.prototype, "createdAt", void 0);
__decorate([
    UpdatedAt,
    __metadata("design:type", Date)
], VideoSourceModel.prototype, "updatedAt", void 0);
__decorate([
    AllowNull(false),
    Column,
    __metadata("design:type", String)
], VideoSourceModel.prototype, "filename", void 0);
__decorate([
    ForeignKey(() => VideoModel),
    Column,
    __metadata("design:type", Number)
], VideoSourceModel.prototype, "videoId", void 0);
__decorate([
    BelongsTo(() => VideoModel, {
        foreignKey: {
            allowNull: false
        },
        onDelete: 'cascade'
    }),
    __metadata("design:type", Object)
], VideoSourceModel.prototype, "Video", void 0);
VideoSourceModel = VideoSourceModel_1 = __decorate([
    Table({
        tableName: 'videoSource',
        indexes: [
            {
                fields: ['videoId']
            },
            {
                fields: [{ name: 'createdAt', order: 'DESC' }]
            }
        ]
    })
], VideoSourceModel);
export { VideoSourceModel };
//# sourceMappingURL=video-source.js.map