import { VideoPrivacy, VideoStreamingPlaylistType } from '@peertube/peertube-models';
function getAllPrivacies() {
    return [VideoPrivacy.PUBLIC, VideoPrivacy.INTERNAL, VideoPrivacy.PRIVATE, VideoPrivacy.UNLISTED, VideoPrivacy.PASSWORD_PROTECTED];
}
function getAllFiles(video) {
    const files = video.files;
    const hls = getHLS(video);
    if (hls)
        return files.concat(hls.files);
    return files;
}
function getHLS(video) {
    return video.streamingPlaylists.find(p => p.type === VideoStreamingPlaylistType.HLS);
}
export { getAllPrivacies, getAllFiles, getHLS };
//# sourceMappingURL=common.js.map